function [ dev ] = loadGPScsv( filePath )
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

M = csvread(filePath, 1, 0);
%% Load gps data
dev.t_gps = M(:, 1) / 1000;  % gps week time [s]            |GSOF-Time|

dev.e = M(:, 2);  % east  (in local ENU) [m]                |GSOF-TPlaneENU|
dev.n = M(:, 3);  % north (in local ENU) [m]                |GSOF-TPlaneENU|
dev.u = M(:, 4);  % up    (in local ENU) [m]                |GSOF-TPlaneENU|

dev.rmse_e = M(:, 5);  % rms error of east  (longitude) [m] |GSOF-SIGMA|
dev.rmse_n = M(:, 6);  % rms error of north (latitude)  [m] |GSOF-SIGMA|
dev.rmse_u = M(:, 7);  % rms error of up    (height)    [m] |GSOF-SIGMA|

dev.v_hor = M(:, 8);  % horizontal speed [m/s]              |GSOF-Velocity|
dev.course= M(:, 9);  % tracking angle (heading) [rad]      |GSOF-Velocity|

dev.yaw   = M(:, 10);  % yaw angle [rad]                    |GSOF-Attitude|
dev.pitch = M(:, 11);  % pitch angle [rad]                  |GSOF-Attitude|
dev.roll  = M(:, 12);  % roll angle [rad]                   |GSOF-Attitude|

dev.flags_pos = M(:, 13); %                                 |GSOF-TIME|

dev.lat = M(:, 14);  % latitude [deg]                       |GSOF-LLH|
dev.lon = M(:, 15);  % longitude [deg]                      |GSOF-LLH|
dev.hgt = M(:, 16);  % height [m]                           |GSOF-LLH|

dev.svsused = M(:, 17);   % number of SVs used in solution  |GSOF-TIME|
dev.v_vert  = M(:, 18);   % vertical speed [m/s]            |GSOF-Velocity|

dev.flags_ori   = M(:, 19); %                               |GSOF-Attitude|
dev.svsused_ori = M(:, 20); %                               |GSOF-Attitude|
dev.mode_ori    = M(:, 21); %                               |GSOF-Attitude|
dev.range       = M(:, 22); %                               |GSOF-Attitude|

dev.rmse_yaw   = sqrt(M(:, 23)); % rms error of yaw [rad]   |GSOF-Attitude|
dev.rmse_pitch = sqrt(M(:, 24)); % rms error of pitch [rad] |GSOF-Attitude|
dev.rmse_roll  = sqrt(M(:, 25)); % rms error of roll [rad]  |GSOF-Attitude|
dev.rmse_range = sqrt(M(:, 26)); % rms error of range [m]   |GSOF-Attitude|
end

